Skip to main content

TransferAsset

POST

Transfer TRC-10 token.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)
to_addressstringrequired
Recipient address (Format: Base58 or Hex; Default: Hex). Example: TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1
asset_namestringrequired
ID of the TRC-10 token (Format: Base58 or Hex; Default: Hex). Example: 31303030303031
amountintegerrequired
Amount of TRX to transfer. (Unit: sun). Example: 1
Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
extra_datastring
Notes on the transaction. (Format: Hex)
Responses
owner_addressstring
Transaction initiator address. (Format: Base58 or Hex)
asset_namestring
TRC-10 Token ID.
to_addressstring
Recipient address.
amountinteger
Amount of TRC-10 token to transfer.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/transferasset' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"to_address": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1",
"asset_name": "31303030303031",
"amount": 1
}'